Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87706 - Superfluous security warning when going from https to https in a new window
Summary: Superfluous security warning when going from https to https in a new window
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 16:34 UTC by David Balažic
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-16 21:18:10 UTC


Attachments (Terms of Use)

Description David Balažic 2003-04-01 16:34:47 UTC
Description of problem:

Mozilla gives a warning dialog when I click I open a link in a new window or new
tab, where both the original page and the newly opened one are secure ( https )
and from the same server.

The dialog show is :

Security Warning

You have requested an encrypted page. The web site has identified itself
correctly, and information you see or enter on this page can't easily be read by
third party.

 [ ] Alert me whenever I am about to view an encrypted page.

            [ OK ]

This is needless and annoying. This dialog should be only displayed when going
from unsecure to secure pages. And maybe when going from one secure site to another.

Version-Release number of selected component (if applicable):

mozilla-1.2.1-26

How reproducible:
easy

Steps to Reproduce:
1. visit a secure site, like https://bugzilla.redhat.com/bugzilla/index.cgi
2. right click on any link that points to another page on the same site, like
https://bugzilla.redhat.com/bugzilla/redhat-faq.cgi ( the "Help" link at the
bottom ), and select "Open Link in New Window" or "Open Link in New Tab", you
can also middle click
    
Actual results:

security warning dialog appears

Expected results:

no dialog

Additional info:

Comment 1 Christopher Blizzard 2003-04-16 21:18:10 UTC
If this gets fixed upstream, I'll take it but I'm not going to spend time on it.


Note You need to log in before you can comment on or make changes to this bug.